Package org.eclipse.ecf.provider.generic

# Class ContainerMessage

java.lang.Object
org.eclipse.ecf.provider.generic.ContainerMessage

All Implemented Interfaces:
  `Serializable`

public class ContainerMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ContainerMessage.CreateMessage`
`static final class`
`ContainerMessage.CreateResponseMessage`
`static final class`
`ContainerMessage.JoinGroupMessage`
`static final class`
`ContainerMessage.LeaveGroupMessage`
`static final class`
`ContainerMessage.SharedObjectDisposeMessage`
`static final class`
`ContainerMessage.SharedObjectMessage`
`static final class`
`ContainerMessage.ViewChangeMessage`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContainerMessage(ID from, ID to, long seq, Serializable data)`

## Method Summary

Modifier and Type
Method
Description
`static ContainerMessage`
`createJoinGroupMessage(ID from, ID to, long seq, Serializable data)`
`static ContainerMessage`
`createLeaveGroupMessage(ID from, ID to, long seq, Serializable data)`
`static ContainerMessage`
`createSharedObjectCreateMessage(ID from, ID to, long seq, Serializable data)`
`static ContainerMessage`
`createSharedObjectCreateResponseMessage(ID from, ID to, long contSeq, ID soID, Throwable e, long sequence)`
`static ContainerMessage`
`createSharedObjectDisposeMessage(ID from, ID to, long seq, ID sharedObjectID)`
`static ContainerMessage`
`createSharedObjectMessage(ID from, ID to, long seq, ID fromSharedObject, Serializable data)`
`static ContainerMessage`
`createViewChangeMessage(ID from, ID to, long seq, ID[] ids, boolean add, Serializable data)`
`Serializable`
`getData()`
`ID`
`getFromContainerID()`
`long`
`getSequence()`
`ID`
`getToContainerID()`
`void`
`setData(Serializable data)`
`void`
`setFromContainerID(ID fromContainerID)`
`void`
`setSequence(long sequence)`
`void`
`setToContainerID(ID toContainerID)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerMessage

protected ContainerMessage(ID from, ID to, long seq, Serializable data)

## Method Details

### getData

public Serializable getData()

Returns:
  Returns the data.

### setData

public void setData(Serializable data)

Parameters:
  `data` - The data to set.

### getFromContainerID

public ID getFromContainerID()

Returns:
  Returns the fromContainerID.

### setFromContainerID

public void setFromContainerID(ID fromContainerID)

Parameters:
  `fromContainerID` - The fromContainerID to set.

### getSequence

public long getSequence()

Returns:
  Returns the sequence.

### setSequence

public void setSequence(long sequence)

Parameters:
  `sequence` - The sequence to set.

### getToContainerID

public ID getToContainerID()

Returns:
  Returns the toContainerID.

### setToContainerID

public void setToContainerID(ID toContainerID)

Parameters:
  `toContainerID` - The toContainerID to set.

### createViewChangeMessage

public static ContainerMessage createViewChangeMessage(ID from, ID to, long seq, ID[] ids, boolean add, Serializable data)

### createJoinGroupMessage

public static ContainerMessage createJoinGroupMessage(ID from, ID to, long seq, Serializable data)

### createLeaveGroupMessage

public static ContainerMessage createLeaveGroupMessage(ID from, ID to, long seq, Serializable data)

### createSharedObjectCreateMessage

public static ContainerMessage createSharedObjectCreateMessage(ID from, ID to, long seq, Serializable data)

### createSharedObjectCreateResponseMessage

public static ContainerMessage createSharedObjectCreateResponseMessage(ID from, ID to, long contSeq, ID soID, Throwable e, long sequence)

### createSharedObjectMessage

public static ContainerMessage createSharedObjectMessage(ID from, ID to, long seq, ID fromSharedObject, Serializable data)

### createSharedObjectDisposeMessage

public static ContainerMessage createSharedObjectDisposeMessage(ID from, ID to, long seq, ID sharedObjectID)

### toString

public String toString()

Overrides:
  `toString` in class `Object`